Name:           pidgin-sipe
Version:        1.14.1
Release:        1%{?dist}
Summary:        Pidgin protocol plugin to connect to MS Office Communicator

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sipe.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/sipe/sipe/pidgin-sipe-%{version}/pidgin-sipe-%{version}.tar.bz2

BuildRequires:  zlib-devel, libpurple-devel >= 2.8.0, e2fsprogs-devel, intltool
BuildRequires:  krb5-devel, gettext, libxml2-devel, glib2-devel >= 2.28.0
BuildRequires:  libnice-devel >= 0.1.0, gstreamer-devel, nss-devel

Requires:       purple-sipe = %{version}-%{release}


%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Lync Server 2010
    * Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

This package provides the icon set for Pidgin.


%package -n purple-sipe
Summary:        Libpurple protocol plugin to connect to MS Office Communicator
Group:          Applications/Internet
License:        GPLv2+


%description -n purple-sipe
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Lync Server 2010
    * Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

This package provides the protocol plugin for libpurple clients.


%prep
%setup -q


%build
%configure \
    --with-krb5 \
    --enable-purple \
    --disable-telepathy
make %{?_smp_mflags}
make %{?_smp_mflags} check


%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Pidgin doesn't have 24 or 32 pixel icons
rm -f \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/24/sipe.png \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/32/sipe.png
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -n purple-sipe -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/purple-2/libsipe.so


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.*


%changelog
* Wed Dec 26 2012 Stefan Becker <chemobejk@gmail.com> - 1.14.1-1
- update to 1.14.1: bug fix release

* Sun Dec 16 2012 Stefan Becker <chemobejk@gmail.com> - 1.14.0-1
- update to 1.14.0:
    - added support for Web Ticket authentication using ADFS
    - added support for buddy photos
    - added support for call to Audio Test Service
    - reduced network traffic for acquiring Web Tickets

* Sun Aug 19 2012 Stefan Becker <chemobejk@gmail.com> - 1.13.3-1
- update to 1.13.3: bug fix release

* Sun Jun 10 2012 Stefan Becker <chemobejk@gmail.com> - 1.13.2-1
- update to 1.13.2: bug fix release

* Mon Apr 09 2012 Stefan Becker <chemobejk@gmail.com> - 1.13.1-1
- update to 1.13.1: bug fix release

* Wed Mar 14 2012 Stefan Becker <chemobejk@gmail.com> - 1.13.0-1
- update to 1.13.0:
    - support for Lync & Office365
    - added [MS-SIPAE] TLS-DSK authentication scheme
    - added [MS-DLX] based Get Info/Contact Search
    - added experimental media TCP transport
- add BR nss-devel

* Sun Jan 08 2012 Stefan Becker <chemobejk@gmail.com> - 1.12.0-2
- enable audio/video call support for F15+ (bz #761528)

* Mon Sep 12 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.12.0-1
- Update to 1.12.0:
    - Add support for OCS2007R2 Group Chat
    - Miscellaneous features and bugfixes

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 09 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.11.2-1
- Update to 1.11.2

* Wed Oct 06 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.11.0-1
- Update to 1.11.0

* Fri Sep 24 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.10.1-2
- Fix group for purple-sipe (#624246)

* Fri Jul 16 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.10.1-1
- Upstream 1.10.1:
        - Fixes to build against pidgin-2.7
        - Initial support for Office 2007+ "Access Levels"
        - SVG icon artwork
        - Miscellaneous bugfixes

* Tue Mar 16 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.1-1
- Upstream 1.9.1:
        - Fix Kerberos authentication for unix platforms (broken in 1.9.0)
        - Bugfixes

* Thu Mar 11 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.0-1
- Upstream 1.9.0:
        - Contributed File transfer functionality. File encryption is supported.
        - NTLMv2 and NTLMv2 Session Security support
        - Implemented SIP Authentication Extensions protocol version 4 and 3
        - another shot at presence update problems
        - fix crash caused by uninitialized security contexts
        - Updated translations: ru, de, es, pt_BR
        - Bugfixes and crash fixes
- BR libpurple >= 2.4.0
- Split into purple-sipe and pidgin-sipe
- Other spec fixes to match upstream's spec file

* Tue Feb 16 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.8.1-1
- Upstream 1.8.1 (crash fixes)

* Mon Feb 08 2010 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.8.0-1
- Upstream 1.8.0 (new features)
- Exchange Calendar integration
- New and updated translations
- Bugfixes

* Mon Nov 23 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.7.1-1
- Upstream 1.7.1 (bugfixes)

* Tue Nov 03 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.7.0-1
- Upstream 1.7.0

* Mon Sep 28 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.3-1
- Upstream 1.6.3

* Tue Sep 08 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.2-1
- Upstream 1.6.2
- Drop obsoleted ppc fix patch

* Fri Jul 31 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-2
- Add BR: gettext to build on EPEL

* Thu Jul 30 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-2
- Another attempt at ppc build fix (patch from Stefan Becker)

* Tue Jul 28 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.6.0-1
- Upstream 1.6.0
- Build on ppc, but pass --enable-quality-check=no to configure

* Thu Jul 16 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-2
- Build --with-krb5

* Tue Jun 30 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-1
- Initial packaging.

